export namespace LarkAction {
  export interface Data {
    /**
     * open_id
     */
    open_id: string
    /**
     * 用户名
     * @example zhaoyingbo
     */
    user_id: string
    /**
     * 当前消息的ID
     * @example om_038fc0eceed6224a1abc1cdaa4266405
     */
    open_message_id: string
    /**
     * 对话流ID
     * @example oc_433b1cb7a9dbb7ebe70a4e1a59cb8bb1
     */
    open_chat_id: string
    /**
     * 应用ID
     * @example 2ee61fe50f4f1657
     */
    tenant_key: string
    /**
     * token
     * @example tV9djUKSjzVnekV7xTg2Od06NFTcsBnj
     */
    token: string
    /**
     * 事件结果
     */
    action: {
      /**
       * 传的参数
       */
      value: any
      /**
       * 标签名
       * @example picker_datetime
       */
      tag: string
      /**
       * 选择的事件
       * @example 2023-09-03 10:35 +0800
       */
      option: string
      /**
       * 时区
       */
      timezone: string
    }
  }
}
