import type { Gitlab } from "../types"
import GitlabBaseService from "./base"

class Project extends GitlabBaseService {
  /**
   * 获取 GitLab 项目的详细信息。
   * @returns {Promise<Gitlab.ProjDetail | null>} 一个解析为项目详细信息的 promise。
   */
  async getDetail(): Promise<Gitlab.ProjDetail | null> {
    const projectId =
      typeof this.project_id === "string"
        ? encodeURIComponent(this.project_id)
        : this.project_id
    const URL = `/projects/${projectId}`
    return this.errorWarp<Gitlab.ProjDetail>(() => this.get(URL), null)
  }
}

export default Project
